CC = gcc
CFLAG = -c -O2 -std=c99 -Wall `MagickWand-config --cflags`
LINK = gcc
LFLAG = --shared -L/usr/local/imk-dyn--enable-shared/lib -L/usr/local/lib -Wl,--enable-stdcall-fixup,--allow-multiple-definition,--dll

TARGET = animationgif.auo
OBJ1 = animationgif.o
DEF  = animationgif.def

all: $(TARGET)

$(TARGET): $(OBJ1) $(DEF)
	$(LINK) $(LFLAG) -o $(TARGET) $(OBJ1) `MagickWand-config --ldflags` $(DEF)
	strip -s animationgif.auo

$(OBJ1): animationgif.c
	$(CC) $(CFLAG) animationgif.c

clean:
	rm -f *.o
	rm -f *.auo
